## xdoctest 1.1.0

=== requirements.txt ===
-r requirements/runtime.txt
-r requirements/tests.txt
-r requirements/jupyter.txt
-r requirements/colors.txt

#-r requirements/optional.txt

=== debian/changelog ===
xdoctest (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only reupload.

 -- Bastian Germann <bage@debian.org>  Sat, 28 Jan 2023 17:07:10 +0100

xdoctest (1.1.0-1) unstable; urgency=low

  * Initial release. Closes: #1026966

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 30 Dec 2022 20:14:46 +0800

=== debian/control ===
Source: xdoctest
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               pybuild-plugin-pyproject,
               python3-pytest <!nocheck>,
               python3-pygments <!nocheck>,
               python3-pyflakes <!nocheck>,
               python3-six <!nocheck>,
               python3-typing-inspect <!nocheck>,
               python3-pybind11 <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/Erotemic/xdoctest
Vcs-Git: https://salsa.debian.org/python-team/packages/xdoctest.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/xdoctest
Rules-Requires-Root: no
Description: Rewrite of Python's builtin doctest module with AST instead of REGEX
 What is a doctest? It is example code you write in a docstring! What
 is a docstring? Its a string you use as a comment! They get attached
 to Python functions and classes as metadata. They are often used to
 auto-generate documentation. Why is it cool? Because you can write
 tests while you code!
 .
 The ``xdoctest`` package is a re-write of Python's builtin ``doctest``
 module. It replaces the old regex-based parser with a new
 abstract-syntax-tree based parser (using Python's ``ast`` module). The
 goal is to make doctests easier to write, simpler to configure, and
 encourage the pattern of test driven development.

Package: python3-xdoctest
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library for Python 3.

Package: xdoctest
Architecture: all
Multi-Arch: foreign
Depends:
 python3-xdoctest,
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the xdoctest command line tool

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=xdoctest

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-xdoctest/usr/bin/

## xdoctest 1.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = xdoctest
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx
sphinx-autobuild 
sphinx_rtd_theme 
sphinxcontrib-napoleon
sphinx-autoapi
six
Pygments
ubelt
sphinx-reredirects
myst_parser

=== debian/changelog ===
xdoctest (1.1.1-1) unstable; urgency=medium

  [ Bo YU ]
  * New upstream version 1.1.1
  * Set std-ver to 4.6.2

  [ Jeroen Ploemen ]
  * Ignore egg-info in d/source/options to prevent build failure when
    building twice in a row.
  * Rules: switch override of dh_install to execute_after.

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 16 Feb 2023 11:18:46 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-six <!nocheck>,
                python3-typing-inspect <!nocheck>,
                python3-pybind11 <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Erotemic/xdoctest
 Vcs-Git: https://salsa.debian.org/python-team/packages/xdoctest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xdoctest

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=xdoctest

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	rm -rf $(CURDIR)/debian/python3-xdoctest/usr/bin/

## xdoctest 1.1.2

=== debian/changelog ===
xdoctest (1.1.2-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 11 Dec 2023 17:01:43 +0800

xdoctest (1.1.2-1) UNRELEASED; urgency=medium

  * New upstream version 1.1.2. (Closes: #1056541)
  * Add binary manual for xdoctest
  * Remove python3-six. (Closes: #1055499)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 22 Nov 2023 18:12:08 +0800

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                python3-pytest <!nocheck>,
                python3-pygments <!nocheck>,
                python3-pyflakes <!nocheck>,
-               python3-six <!nocheck>,
                python3-typing-inspect <!nocheck>,
                python3-pybind11 <!nocheck>,
+               txt2man,
 Standards-Version: 4.6.2
 Homepage: https://github.com/Erotemic/xdoctest
 Vcs-Git: https://salsa.debian.org/python-team/packages/xdoctest.git
@@ -47,7 +47,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-xdoctest,
  ${misc:Depends},
  ${python3:Depends},
 Description: ${source:Synopsis}

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=xdoctest

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	rm -rf $(CURDIR)/debian/python3-xdoctest/usr/bin/

execute_before_dh_installman:
	txt2man -s 1 -v "xdoctest" -t "xdoctest" \
	-r "$(VERSION)" -d "$(DEBDATE)" debian/manpage/xdoctest.txt > debian/manpage/xdoctest.1

## xdoctest 1.1.3

=== tests/pybind11_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(my_ext)


function(pycmd outvar cmd)
  execute_process(
    COMMAND "${PYTHON_EXECUTABLE}" -c "${cmd}"
    RESULT_VARIABLE _exitcode
    OUTPUT_VARIABLE _output)
  if(NOT ${_exitcode} EQUAL 0)
    message(ERROR "Failed when running python code: \"\"\"
${cmd}\"\"\"")
    message(FATAL_ERROR "Python command failed with error code: ${_exitcode}")
  endif()
  # Remove supurflous newlines (artifacts of print)
  string(STRIP "${_output}" _output)
  set(${outvar} "${_output}" PARENT_SCOPE)
endfunction()


###
# Find scikit-build and include its cmake resource scripts
#
if (NOT SKBUILD)
  # Find current python major version user option
  find_package(PythonInterp REQUIRED)
  find_package(PythonLibs REQUIRED)
  include_directories(SYSTEM ${PYTHON_INCLUDE_DIR})
  pycmd(skbuild_location "import os, skbuild; print(os.path.dirname(skbuild.__file__))")
  set(skbuild_cmake_dir "${skbuild_location}/resources/cmake")
  # If skbuild is not the driver, then we need to include its utilities in our CMAKE_MODULE_PATH
  list(APPEND CMAKE_MODULE_PATH ${skbuild_cmake_dir})
endif()


message(STATUS "!!! ATTEMPTING FIND PYTHON EXTENSIONS !!!")
find_package(PythonExtensions REQUIRED)


# Fetch pybind11
message(STATUS "!!! ATTEMPTING TO FETCH PYBIND11 CONTENT !!!")
include(FetchContent)

message(STATUS " (1) FetchContent_Declare")
FetchContent_Declare(
  pybind11
  GIT_REPOSITORY https://github.com/pybind/pybind11
  GIT_TAG v2.4.3
)

# new method for cmake 3.16
#message(STATUS " (2) FetchContent_MakeAvailable")
#FetchContent_MakeAvailable(pybind11)

# old method for cmake < 3.16
message(STATUS " (2) FetchContent_GetProperties")
FetchContent_GetProperties(pybind11)
if(NOT pybind11_POPULATED)
  message(STATUS " (3) FetchContent_Populate")
  FetchContent_Populate(pybind11)
  add_subdirectory(${pybind11_SOURCE_DIR} ${pybind11_BINARY_DIR})
endif()

message(STATUS "pybind11_POPULATED = ${pybind11_POPULATED}")
message(STATUS "pybind11_BINARY_DIR = ${pybind11_BINARY_DIR}")
message(STATUS "pybind11_SOURCE_DIR = ${pybind11_SOURCE_DIR}")

add_library(my_ext MODULE my_ext.cxx)
python_extension_module(my_ext)

# Not sure why I need this on the CI
target_include_directories(my_ext PUBLIC "${pybind11_SOURCE_DIR}/include")
set_property(TARGET my_ext PROPERTY CXX_STANDARD 11)

install(TARGETS my_ext LIBRARY DESTINATION .)

=== debian/changelog ===
xdoctest (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.3
  * use new dh-sequence-python3
  * remove python3-six 2/2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Feb 2024 23:31:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bo YU <tsu.yubo@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
                python3-all,
                pybuild-plugin-pyproject,
@@ -35,7 +35,6 @@
 Package: python3-xdoctest
 Architecture: all
 Depends:
- python3-six,
  ${misc:Depends},
  ${python3:Depends}
 Description: ${source:Synopsis}

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest, python3-pygments, python3-pyflakes, python3-typing-inspect, python3-pybind11
Restrictions: allow-stderr

## xdoctest 1.2.0

=== debian/changelog ===
xdoctest (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Bump std-ver to 4.7.0

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 30 Sep 2024 02:16:01 +0800

xdoctest (1.1.3-2) unstable; urgency=medium

  * Remove whitespace of d/changelog
  * Update d/copyright
  * Remove python3-typing-inspect on autopkgtest.
  * Fix autopkgtest issue. (Closes: #1063987)

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 18 Mar 2024 22:44:50 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-typing-inspect <!nocheck>,
                python3-pybind11 <!nocheck>,
                txt2man,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Erotemic/xdoctest
 Vcs-Git: https://salsa.debian.org/python-team/packages/xdoctest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xdoctest

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_install:
 	rm -rf $(CURDIR)/debian/python3-xdoctest/usr/bin/

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest, python3-pygments, python3-pyflakes, python3-pybind11
Restrictions: allow-stderr, needs-sudo

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Erotemic/xdoctest.git \
refs/tags/v([\d\.]+)

## xdoctest 1.3.0

=== debian/changelog ===
xdoctest (1.3.0-1) unstable; urgency=medium

  * Use debian-watch version 5.
  * New upstream version 1.3.0. (Closes: #1122494)
  * Update email of maintainer
  * Bump std-ver to 4.7.2

 -- Bo YU <vimer@debian.org>  Mon, 22 Dec 2025 14:51:20 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bo YU <tsu.yubo@gmail.com>
+Uploaders: Bo YU <vimer@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-setuptools,
@@ -14,7 +14,7 @@
                python3-typing-inspect <!nocheck>,
                python3-pybind11 <!nocheck>,
                txt2man,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Erotemic/xdoctest
 Vcs-Git: https://salsa.debian.org/python-team/packages/xdoctest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xdoctest

=== debian/watch ===
Version: 5
Template: Github
Owner: Erotemic
Project: xdoctest
Dversion-Mangle: auto
